Uploaded image for project: 'C# Driver'
  1. C# Driver
  2. CSHARP-3170

Restore minServerVersion in server-discovery-and-monitoring integration tests

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Open
    • Priority: Major - P3
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: Testing
    • Labels:
      None

      Description

      We have an issue with comparing serverVersions in release candidate.

      For example, the current 4.4 server version on EG is {4.4.0-rc13-11-g97cd266} and considered less than 4.4. And since some of our integration test has minServerVersion = 4.4 runOn restriction, they are skipped. I temporally decreased this value on 4.3 as a workaround. This should be restored after CSHARP-2897

      The example of changed json test (the value should be 4.4): https://github.com/mongodb/mongo-csharp-driver/commit/e0568c0f894e2eaafcb894287f33c0b14aa7624b#diff-c6ccf2f0701dec6655f4dbdafe988199R4

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              Unassigned
              Reporter:
              dmitry.lukyanov Dmitry Lukyanov
              Participants:
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

                Dates

                Created:
                Updated: